{
  "format_version": "1.8.0",
  "minecraft:spawn_rules": {
    "description": {
      "identifier": "mnp_ci:fisherman_1",
      "population_control": "animal"
    },
    "conditions": [
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:world_age_filter": {
          "min": 3000
        },
        "minecraft:spawns_on_block_filter": "minecraft:grass",
        "minecraft:brightness_filter": {
          "min": 7,
          "max": 15,
          "adjust_for_weather": true
        },
        "minecraft:weight": {
          "default": 1
        },
        "minecraft:herd": {
          "min_size": 1,
          "max_size": 1
        },
        "minecraft:biome_filter": {
          "all_of": [
            {
              "test": "has_biome_tag",
              "operator": "!=",
              "value": "nether"
            },
            {
              "test": "has_biome_tag",
              "operator": "!=",
              "value": "the_end"
            }
          ]
        },
        "minecraft:player_in_village_filter": {
          "distance": 48,
          "village_border_tolerance": 32
        }
      }
    ]
  }
}